wordpressでapache権限を与える【パーミッション対処法】

wordpress-bg-medblue

wordpressでテーマをインストールしようとしても、プラグインをインストールしようとして、

wordpress自体を更新しようとしてもエラーになってしまう時の対処法です。

いくつかのファイルをコピーできないため、最新版のインストールができません。これはたいていの場合、ファイルのパーミッションが適切でないことが原因です。

って言われたりします。

それぞれインストールしようとした時に、エラーが出てしまう時の対処法です。

サーバーにssh接続して、wordpressがインストールされているところまで移動します。 
(開発環境によって違うので、各自確認してください)

そこで、apache権限を与えます。

chown apache:apache -R ./

ファイル全てのパーミッションを与えても良いのですが、そんなことするよりも楽ですよね。

ほんとにセキュリティとか気になりまくる人は、手動でも更新やインストールは出来ますのでそちらで…